%define upstream_name    Test-Pretty
%define upstream_version 0.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Smile Precure!
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(TAP::Harness)
BuildRequires: perl(Term::ANSIColor) >= 3.20.0
BuildRequires: perl(Term::Encoding)
BuildRequires: perl(Test::Builder) >= 0.820.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Test::Pretty is a prettifier for Test::More.

When you are writing a test case such as following:

    use strict;
    use warnings;
    use utf8;
    use Test::More;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 373713
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.220.0-1.mga3
+ Revision: 342706
- update to 0.22
- update to 0.15

* Wed Nov 07 2012 jquelin <jquelin> 0.100.0-1.mga3
+ Revision: 315878
- update to 0.10

* Tue Oct 23 2012 jquelin <jquelin> 0.50.0-1.mga3
+ Revision: 309443
- adding missing buildrequires:
- imported package perl-Test-Pretty

